#include <sys/types.h>

#define KEYL		128
#define UNIX_PATH_MAX	108
#define USE_ERRNO	1
#define NOT_ERRNO	0

/* RC5 code ereditations :) */
typedef unsigned char byte;
#define r       6               /* number of rounds                     */
#define t       128             /* size of table S in byte              */

extern char *umpfkey;

char *get_umpf_key(void);

void RC5_like__ENCRYPT(byte *, byte *, off_t);
void RC5_like__DECRYPT(byte *, byte *, off_t);
void RC5_like__SETUP(void);

void umpf_dec_buf(char *, unsigned int, off_t);
void umpf_enc_buf(char *, unsigned int, off_t);

size_t umpf_write(int, char *, size_t);
size_t umpf_read(int, char *, size_t);

void fatal(int, char *, ...);
